/**
  *  \file game/actions/preconditions.h
  *  \brief Action Preconditions
  */
#ifndef PCC_V2_GAME_ACTIONS_PRECONDITIONS_H
#define PCC_V2_GAME_ACTIONS_PRECONDITIONS_H

class GShip;
class GPlanet;

void mustBePlayed(const GShip& ship);
void mustBePlayed(const GPlanet& planet);
void mustHavePlayedBase(const GPlanet& planet);
void mustHaveTurn();

#endif
